Problem While loading Plugin.

Discussion in 'Plugin Development' started by TryKimko, Nov 20, 2016.

Thread Status:
Not open for further replies.
  1. Hey. It's me again...

    I've got a Problem while loading my Plugin. At localhost it works but not on the Server.. even not with a copyed spigot.jar

    Here's the Code:
    Code:
    org.bukkit.plugin.InvalidPluginException: java.lang.UnsupportedClassVersionError: de/kimko/main/main : Unsupported major.minor version 52.0
    at org.bukkit.plugin.java.JavaPluginLoader.loadPlugin(JavaPluginLoader.java:135) ~[craftbukkit.jar:git-Spigot-c3e4052-1953f52]
    at org.bukkit.plugin.SimplePluginManager.loadPlugin(SimplePluginManager.java:329) ~[craftbukkit.jar:git-Spigot-c3e4052-1953f52]
    at org.bukkit.plugin.SimplePluginManager.loadPlugins(SimplePluginManager.java:251) [craftbukkit.jar:git-Spigot-c3e4052-1953f52]
    at org.bukkit.craftbukkit.v1_10_R1.CraftServer.loadPlugins(CraftServer.java:297) [craftbukkit.jar:git-Spigot-c3e4052-1953f52]
    at org.bukkit.craftbukkit.v1_10_R1.CraftServer.reload(CraftServer.java:744) [craftbukkit.jar:git-Spigot-c3e4052-1953f52]
    at org.bukkit.Bukkit.reload(Bukkit.java:539) [craftbukkit.jar:git-Spigot-c3e4052-1953f52]
    at org.bukkit.command.defaults.ReloadCommand.execute(ReloadCommand.java:25) [craftbukkit.jar:git-Spigot-c3e4052-1953f52]
    at org.bukkit.command.SimpleCommandMap.dispatch(SimpleCommandMap.java:141) [craftbukkit.jar:git-Spigot-c3e4052-1953f52]
    at org.bukkit.craftbukkit.v1_10_R1.CraftServer.dispatchCommand(CraftServer.java:646) [craftbukkit.jar:git-Spigot-c3e4052-1953f52]
    at org.bukkit.craftbukkit.v1_10_R1.CraftServer.dispatchServerCommand(CraftServer.java:632) [craftbukkit.jar:git-Spigot-c3e4052-1953f52]
    at net.minecraft.server.v1_10_R1.DedicatedServer.aL(DedicatedServer.java:437) [craftbukkit.jar:git-Spigot-c3e4052-1953f52]
    at net.minecraft.server.v1_10_R1.DedicatedServer.D(DedicatedServer.java:400) [craftbukkit.jar:git-Spigot-c3e4052-1953f52]
    at net.minecraft.server.v1_10_R1.MinecraftServer.C(MinecraftServer.java:672) [craftbukkit.jar:git-Spigot-c3e4052-1953f52]
    at net.minecraft.server.v1_10_R1.MinecraftServer.run(MinecraftServer.java:571) [craftbukkit.jar:git-Spigot-c3e4052-1953f52]
    at java.lang.Thread.run(Unknown Source) [?:1.7.0_71]
    Caused by: java.lang.UnsupportedClassVersionError: de/kimko/main/main : Unsupported major.minor version 52.0
    at java.lang.ClassLoader.defineClass1(Native Method) ~[?:1.7.0_71]
    at java.lang.ClassLoader.defineClass(Unknown Source) ~[?:1.7.0_71]
    at java.security.SecureClassLoader.defineClass(Unknown Source) ~[?:1.7.0_71]
    at java.net.URLClassLoader.defineClass(Unknown Source) ~[?:1.7.0_71]
    at java.net.URLClassLoader.access$100(Unknown Source) ~[?:1.7.0_71]
    at java.net.URLClassLoader$1.run(Unknown Source) ~[?:1.7.0_71]
    at java.net.URLClassLoader$1.run(Unknown Source) ~[?:1.7.0_71]
    at java.security.AccessController.doPrivileged(Native Method) ~[?:1.7.0_71]
    at java.net.URLClassLoader.findClass(Unknown Source) ~[?:1.7.0_71]
    at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:101) ~[craftbukkit.jar:git-Spigot-c3e4052-1953f52]
    at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:86) ~[craftbukkit.jar:git-Spigot-c3e4052-1953f52]
    at java.lang.ClassLoader.loadClass(Unknown Source) ~[?:1.7.0_71]
    at java.lang.ClassLoader.loadClass(Unknown Source) ~[?:1.7.0_71]
    at java.lang.Class.forName0(Native Method) ~[?:1.7.0_71]
    at java.lang.Class.forName(Unknown Source) ~[?:1.7.0_71]
    at org.bukkit.plugin.java.PluginClassLoader.<init>(PluginClassLoader.java:64) ~[craftbukkit.jar:git-Spigot-c3e4052-1953f52]
    at org.bukkit.plugin.java.JavaPluginLoader.loadPlugin(JavaPluginLoader.java:131) ~[craftbukkit.jar:git-Spigot-c3e4052-1953f52]
    ... 14 more
     
  2. Offline

    timtower Administrator Administrator Moderator

    @TryKimko You are compiling with java 8, your server is running java 7.
    Compile with java 7 or tell the server to upgrade to 8.
     
  3. @timtower How?:D
    Idk how i could do this with the Server... i only got a Minecraft console and FTP access.
     
  4. Offline

    timtower Administrator Administrator Moderator

    @TryKimko Change a setting in eclipse, not sure where it is as I always build with java 7.
    And then you can't change it.
     
  5. Offline

    projectwoosh

    You have to install Java 8 on your device wich runs the server.
     
  6. Offline

    Zombie_Striker

    @projectwoosh @TryKimko
    NO. You do not need to stall it. Just make sure you compile your plugin with Java 7.
     
    Last edited by a moderator: Nov 22, 2016
Thread Status:
Not open for further replies.

Share This Page